<?php
define('NTLCMS', 1);
$module = 'spam';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
################################################################################
echo '<div class="title"><b>'.razd.' Рассылка писем</b></div>';
################################################################################	

set_time_limit(0);

if ($_USER['admin'] > '0' && $_USER['admin'] < '2'){

$id = isset($_GET['id']) ? filter_var($_GET['id'], FILTER_SANITIZE_NUMBER_INT) : '0';

$rows = DB :: run() -> query("select * from `spam` where `id` = ?", array($id)) -> fetch(PDO::FETCH_OBJ);

$sql = DB :: run() -> query("select * from `users`");		
		
if (DB :: run() -> querySingle("select * from `users`")){
header('Location: '.URL.'/mailing');

$count = 0;

while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

mailto($row -> email, "Массовая рассылка Клик Клуба  ".strtoupper($_SERVER['HTTP_HOST']), $rows -> text);
DB :: run() -> query("insert into `notice` (`to`, `date`, `status`, `tema`, `text`) values (?, ?, ?, ?, ?)", array($row -> login, TIME, 1, $rows -> tema, $rows -> text));
DB :: run() -> query("update `spam` set `status` = ? where `id` = ?", array(0, $id));

$count ++;

}
$_SESSION['success'] = 'Успешно разослано на все E-MAIL и личную почту '.word($count, 'письмо', 'письма', 'писем').'!';    
header('Location: '.URL.'/mailing');
} else {
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Не найдено пользователей, которым необходимо отправить рассылку!</center></div>';
}
} else {
header('Location: '.URL);
$_SESSION['fail'] = 'Доступ запрещен!';
}


echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/mailing">Рассылка писем</a></div>';

include ('../system/foot.php');
?>